import GroupModel from "../../Models/GroupModel.js";
import { BaseView, IBaseViewOptions } from "../../Views/BaseView.js";
export interface ITabOptions extends IBaseViewOptions {
    label: string;
    tabId: string;
    model: GroupModel;
}
export declare class Tab extends BaseView {
    private m_selectEventSubscription;
    private m_groupModel;
    constructor(options: ITabOptions);
    private get label();
    private get tabId();
    private get groupModel();
    private get imgNode();
    template(): string | Array<string> | JQuery;
    select(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onDestroy(e: Jade.UI.ControlEventArgs): void;
    private processValidationErrors;
    private addValidationErrorSummary;
    private onSelect;
}
